package com.ruoyi.system.domain.modelRule;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车型和收费方式关联对象 e_model_rule
 *
 * @author qzz
 * @date 2024-11-29
 */
public class EModelRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车型id */
    private Long modelId;

    /** 收费模版id */
    private Long ruleId;

    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setRuleId(Long ruleId)
    {
        this.ruleId = ruleId;
    }

    public Long getRuleId()
    {
        return ruleId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("modelId", getModelId())
            .append("ruleId", getRuleId())
            .toString();
    }
}
